package com.bocloud.ams.entity.model;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author liuyuanyuan
 * @Date 2022/6/13 0013 21:00
 * @Description:
 */
@Data
public class TaskInstanceBean {
    private Long id;
    private String output;
    private String status;

    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;

    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss:SSS")
    private Date collectionFinish;

    private Double collectionTime;
    private String collectionStatus;
    private Date gmtFinish;
}
