package com.bocloud.ams.service.module;

import com.bocloud.ams.entity.module.Relation;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;

public interface RelationService {
    /**
     * 添加
     *
     * @param relation
     * @return
     */
    public GeneralResult create(Relation relation, Long userId);

    /**
     * 修改
     *
     * @param relation
     * @return
     */
    public GeneralResult modify(Relation relation, Long userId);

    /**
     * 删除
     *
     * @param id
     * @return
     */
    public GeneralResult remove(Long id, Long userId);


    /**
     * 列表分页查询
     *
     * @param pager
     * @return
     */
    public GeneralResult list(Pager pager);
}
