package com.bocloud.ams.entity.enums;

/**
 * 审计日志操作类型
 */
public enum OperationalAuditType {
    //新增
    ADD("ADD", "新增"),
    //修改
    MODIFY("MODIFY", "修改"),
    //批量修改
    BATCH_MODIFY("BATCH_MODIFY", "批量修改"),
    //删除
    DELETE("DEL", "删除"),
    //批量删除
    BATCH_DELETE("BATCH_DELETE", "批量删除"),
    //分配
    ALLOCATION("ALLOCATION", "分配"),
    //转移
    TRANSFER("TRANSFER", "转移"),
    //关联
    RELATION("RELATION", "关联"),
    //取消关联
    ASSOCIATION("ASSOCIATION", "取消关联");

    private String type;
    private String typeDesc;

    OperationalAuditType(String type, String typeDesc) {
        this.type = type;
        this.typeDesc = typeDesc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTypeDesc() {
        return typeDesc;
    }

    public void setTypeDesc(String typeDesc) {
        this.typeDesc = typeDesc;
    }
}