package com.bocloud.ams.entity.model;

import com.bocloud.ams.entity.instance.InstanceRelation;
import lombok.Data;

import java.util.List;

/**
 * @Description: 关联历史调和记录详细信息(props信息)
 * @Author majiali
 * @CreateTime 2022/6/8 14:33
 */
@Data
public class InstanceRelationHistoryAlterModel {

    /**
     * @Description: 变更后
     * @param null
     * @Author majiali
     * @CreateTime 2022/6/17 18:27
     */
    private InstanceRelation after;
    /**
     * @Description: 变更前
     * @param null
     * @Author majiali
     * @CreateTime 2022/6/17 18:27
     */
    private List<InstanceRelation> before;

}
