package com.bocloud.ams.entity.model;

import com.bocloud.ams.entity.instance.InstanceRelationHistoryRecord;
import lombok.Data;

import java.util.List;

/**
 * @Description: 关联历史预检结果
 * @Author majiali
 * @CreateTime 2022/6/8 14:33
 */
@Data
public class InstanceRelationHistoryPreflightModel {

    /**
     * 预检结果类型  SUCCESS：成功-可以更新覆盖  FAILED：失败-数据矛盾，视作失败处理 RECONCILED：调和-historyRecordList中数据单选
     */
    private String status;

    private List<InstanceRelationHistoryRecord> historyRecordList;

    private String sourceType;

    private String targetType;

}
