package com.bocloud.ams.service.association;

import com.bocloud.ams.entity.association.AutoRelationRule;
import com.bocloud.ams.entity.association.AutoRelationRuleItem;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

import java.util.List;

/**
 * @Author liuyuanyuan
 * @Date 2022/5/9 0009 16:47
 * @Description:
 */
public interface AutoRelationRuleService {
    GeneralResult<GridBean<AutoRelationRule>> list(Pager pager);

    GeneralResult<Void> save(AutoRelationRule rule, Long target);

    GeneralResult<Void> modify(Long id, AutoRelationRule rule, Long target);

    GeneralResult<AutoRelationRule> detail(Long id);

    GeneralResult<Void> remove(Long id, Long target);

    GeneralResult<AutoRelationRuleItem> itemDetail(Long itemId);

    GeneralResult<List<AutoRelationRule>> list(Long moduleId, Long relationCategoryId);
}
