package com.bocloud.ams.service.collection;

import com.bocloud.ams.entity.collection.CollectionHistory;
import com.bocloud.ams.entity.model.CollectionHistoryModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: CollectionHistoryService
 * @Description
 * @Author yangzhenrong
 * @Date 2022/6/15 20:30
 * @Version 1.0
 **/
public interface CollectionHistoryService {

    GeneralResult<GridBean<Map<String, Object>>> instances(Pager pager, Long userId);

    GeneralResult<GridBean<CollectionHistory>> list(Pager pager);

    GeneralResult<Void> create(CollectionHistory history);

    GeneralResult<Void> modify(CollectionHistory history);

    GeneralResult<List<CollectionHistory>> listByTaskInstanceId(Long taskInstanceId);

    GeneralResult<CollectionHistory> detail(Long id);

    GeneralResult<String> batchModify(CollectionHistoryModel historyModel, Long userId);

    GeneralResult<GridBean<CollectionHistory>> backupHistory(Pager pager);

    GeneralResult<GridBean<Map<String, Object>>> backupList(Pager pager, Long userId);

}
