package com.bocloud.ams.service.collection;

import com.bocloud.ams.entity.collection.CollectionTaskInstance;
import com.bocloud.ams.entity.model.TaskInstanceBean;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

/**
 * @Author liuyuanyuan
 * @Date 2022/6/8 0008 17:10
 * @Description:
 */
public interface CollectionTaskInstanceService {

    GeneralResult<Void> updateStatus(Long id, String status);

    GeneralResult<CollectionTaskInstance> modify(TaskInstanceBean bean, Long target);

    GeneralResult<CollectionTaskInstance> queryByTaskId(String taskId);

    GeneralResult<GridBean<CollectionTaskInstance>> list(Pager pager);

    GeneralResult<GridBean<CollectionTaskInstance>> bakList(Pager pager);

    GeneralResult<CollectionTaskInstance> detail(Long id);

    GeneralResult<CollectionTaskInstance> bakDetail(Long id,String name);
}
