package com.bocloud.ams.service.instance;

import com.bocloud.ams.entity.instance.InstanceAuthority;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;

import java.util.List;

/**
 * @ClassName: CmdbInstanceAuthorityService
 * @Description
 * @Author yangzhenrong
 * @Date 2022/5/23 18:18
 * @Version 1.0
 **/
public interface InstanceAuthorityService {


    GeneralResult list(Pager pager);

    GeneralResult<Void> create(InstanceAuthority authority, Long userId);

    GeneralResult<Void> remove(Long id, Long userId);

    GeneralResult<Void> modify(InstanceAuthority authority, Long userId);

    GeneralResult<Void> removeByRole(InstanceAuthority authority, Long userId);

    GeneralResult listByInstanceId(Long moduleId, Long instanceId);

}
