package com.bocloud.ams.service.module;

import com.bocloud.ams.entity.module.PropertyPool;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;

public interface PropertyPoolService {
    /**
     * 添加
     *
     * @param pool
     * @return
     */
    public GeneralResult create(PropertyPool pool, Long userId);

    /**
     * 修改
     *
     * @param pool
     * @return
     */
    public GeneralResult modify(PropertyPool pool, Long userId);

    /**
     * 删除
     *
     * @param id
     * @return
     */
    public GeneralResult remove(Long id, Long userId);

    /**
     * 获取详情
     *
     * @param id
     * @return
     */
    public GeneralResult detail(Long id);

    /**
     * 列表分页查询
     *
     * @param pager
     * @return
     */
    public GeneralResult list(Pager pager);
}
